# PSF-LoginServer - master - net.psforever.objects.serverobject.structures.WarpGateDefinition
PSF - LoginServer - master - net.psforever.objects.serverobject.structures.WarpGateDefinition
Keywords: PSF LoginServer master net.psforever.objects.serverobject.structures.WarpGateDefinition

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package objects
  Definition Classes
    psforever
-  package serverobject
  Definition Classes
    objects
-  package structures
  Definition Classes
    serverobject
- Amenity
- AmenityDefinition
- AmenityOwner
- AutoRepairStats
- Building
- BuildingDefinition
- FoundationBuilder
- PoweredAmenityControl
- SphereOfInfluence
- StructureType
- WarpGate
- WarpGateDefinition

c

net.psforever.objects.serverobject.structures

# WarpGateDefinition

###

#### class WarpGateDefinition extends BuildingDefinition with SpawnPointDefinition

Source
  BuildingDefinition.scala

Linear Supertypes
SpawnPointDefinition, BuildingDefinition, SphereOfInfluence, NtuContainerDefinition, ObjectDefinition, BasicDefinition, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. WarpGateDefinition
2. SpawnPointDefinition
3. BuildingDefinition
4. SphereOfInfluence
5. NtuContainerDefinition
6. ObjectDefinition
7. BasicDefinition
8. AnyRef
9. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new WarpGateDefinition(objectId: Int)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  def Delay: Long
   Definition Classes
     SpawnPointDefinition
5.  def Delay_=(toDelay: Long): Long
   Definition Classes
     SpawnPointDefinition
6.  def Descriptor: String
   Definition Classes
     BasicDefinition
7.  def Descriptor_=(description: Option[String]): String
   Definition Classes
     BasicDefinition
8.  def Descriptor_=(description: String): String
   Definition Classes
     BasicDefinition
9.  def DisableAtMaxDepth: Boolean
   Definition Classes
     ObjectDefinition
10.  def DisableAtMaxDepth_=(drowns: Boolean): Boolean
    Definition Classes
      ObjectDefinition
11.  def DrownAtMaxDepth: Boolean
    Definition Classes
      ObjectDefinition
12.  def DrownAtMaxDepth_=(drowns: Boolean): Boolean
    Definition Classes
      ObjectDefinition
13.  def Geometry: (Any) => VolumetricGeometry
    Definition Classes
      ObjectDefinition
14.  def Geometry_=(func: (Any) => VolumetricGeometry): (Any) => VolumetricGeometry
    Definition Classes
      ObjectDefinition
15.  def MaxDepth: Float
    Definition Classes
      ObjectDefinition
16.  def MaxDepth_=(height: Float): Float
    Definition Classes
      ObjectDefinition
17.  def MaxNtuCapacitor: Float
    Definition Classes
      NtuContainerDefinition
18.  def MaxNtuCapacitor_=(max: Float): Float
    Definition Classes
      NtuContainerDefinition
19.  def Name: String
    Definition Classes
      BasicDefinition
20.  def Name_=(name: String): String
    Definition Classes
      BasicDefinition
21.  def NoWarp: Set[VehicleDefinition]
    Definition Classes
      SpawnPointDefinition
22.  def ObjectId: Int
    Definition Classes
      ObjectDefinition
23.  final def Packet: ObjectCreateConverter[PlanetSideGameObject]

    Get the conversion object.

    Get the conversion object.

    Definition Classes
      ObjectDefinition
24.  final def Packet_=(pkt: ObjectCreateConverter[_]): PacketConverter

    Assign this definition a conversion object.

    Assign this definition a conversion object.

    pkt

      the new converter

    returns

      the current converter, after assignment

    Definition Classes
      ObjectDefinition
25.  def SOIRadius: Int
    Definition Classes
      SphereOfInfluence
26.  def SOIRadius_=(radius: Int): Int
    Definition Classes
      SphereOfInfluence
27.  def ServerSplashTargetsCentroid: Boolean
    Definition Classes
      ObjectDefinition
28.  def ServerSplashTargetsCentroid_=(splash: Boolean): Boolean
    Definition Classes
      ObjectDefinition
29.  def SpecificPoint(obj: SpawnPoint, target: PlanetSideGameObject): (Vector3, Vector3)
    Definition Classes
      SpawnPointDefinition
30.  def SpecificPointFunc: (SpawnPoint, PlanetSideGameObject) => (Vector3, Vector3)
    Definition Classes
      SpawnPointDefinition
31.  def SpecificPointFunc_=(func: (SpawnPoint, PlanetSideGameObject) => (Vector3, Vector3)): Unit
    Definition Classes
      SpawnPointDefinition
32.  def UnderwaterLifespan(suffocation: Long, recovery: Long): Map[OxygenState, Long]
    Definition Classes
      ObjectDefinition
33.  def UnderwaterLifespan(key: OxygenState): Long
    Definition Classes
      ObjectDefinition
34.  def UnderwaterLifespan(): Map[OxygenState, Long]
    Definition Classes
      ObjectDefinition
35.  def UseRadius: Float
    Definition Classes
      SpawnPointDefinition
36.  def UseRadius_=(rad: Float): Float
    Definition Classes
      SpawnPointDefinition
37.  def VehicleAllowance: Boolean
    Definition Classes
      SpawnPointDefinition
38.  def VehicleAllowance_=(allow: Boolean): Boolean
    Definition Classes
      SpawnPointDefinition
39.  final def asInstanceOf[T0]: T0
    Definition Classes
      Any
40.  def clone(): AnyRef
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.CloneNotSupportedException]) @native()
41.  final def eq(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
42.  def equals(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef → Any
43.  def finalize(): Unit
    Attributes
      protected[lang]
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.Throwable])
44.  final def getClass(): Class[_ <: AnyRef]
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
45.  def hashCode(): Int
    Definition Classes
      AnyRef → Any
    Annotations
      @native()
46.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
47.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
48.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
49.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
50.  var packet: PacketConverter

    a data converter for this type of object

    a data converter for this type of object

    Attributes
      protected
    Definition Classes
      ObjectDefinition
51.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
52.  def toString(): String
    Definition Classes
      AnyRef → Any
53.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
54.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
55.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from SpawnPointDefinition

### Inherited from BuildingDefinition

### Inherited from SphereOfInfluence

### Inherited from NtuContainerDefinition

### Inherited from ObjectDefinition

### Inherited from BasicDefinition

### Inherited from AnyRef

### Inherited from Any

### Ungrouped